# checkdigit

[![Build Status](https://travis-ci.org/osamingo/checkdigit.svg?branch=master)](https://travis-ci.org/osamingo/checkdigit)
[![codecov](https://codecov.io/gh/osamingo/checkdigit/branch/master/graph/badge.svg)](https://codecov.io/gh/osamingo/checkdigit)
[![Go Report Card](https://goreportcard.com/badge/osamingo/checkdigit)](https://goreportcard.com/report/osamingo/checkdigit)
[![GoDoc](https://godoc.org/github.com/osamingo/checkdigit?status.svg)](https://godoc.org/github.com/osamingo/checkdigit)
[![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://raw.githubusercontent.com/osamingo/checkdigit/master/LICENSE)

## About

Provide check digit algorithms and calculators written by Go.

## Provided methods

### Algorithms

- [Luhn](https://en.wikipedia.org/wiki/Luhn_algorithm)
- [Verhoeff](https://en.wikipedia.org/wiki/Verhoeff_algorithm)
- [Damm](https://en.wikipedia.org/wiki/Damm_algorithm)

### Calculators

- [ISBN-10](https://en.wikipedia.org/wiki/International_Standard_Book_Number)
- [ISBN-13](https://en.wikipedia.org/wiki/International_Standard_Book_Number)
- [EAN-8](https://en.wikipedia.org/wiki/EAN-8)
- [EAN-13](https://en.wikipedia.org/wiki/EAN-13)
- [JAN-8](https://en.wikipedia.org/wiki/Japanese_Article_Number)
- [JAN-13](https://en.wikipedia.org/wiki/Japanese_Article_Number)
- [ITF](https://en.wikipedia.org/wiki/Interleaved_2_of_5)
- [UPC](https://en.wikipedia.org/wiki/Universal_Product_Code)
- [SSCC](https://en.wikipedia.org/wiki/Serial_Shipping_Container_Code)

## Usage

See [examples](https://godoc.org/github.com/osamingo/checkdigit#pkg-examples).

## License

Released under the [MIT License](https://github.com/osamingo/checkdigit/blob/master/LICENSE).
